Bug 238345 - Bulgarian keyboard layouts not supported
Summary: Bulgarian keyboard layouts not supported
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhpl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-29 17:33 UTC by Doncho Gunchev
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-28 18:05:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for keyboard_models.py for Bulgarian Phonetic Keyboard (958 bytes, patch)
2007-05-26 12:10 UTC, Doncho Gunchev
no flags Details | Diff

Description Doncho Gunchev 2007-04-29 17:33:04 UTC
Description of problem:
When I use system-config-keyboard it puts 'bg' in /etc/sysconfig/keyboard, 
which is not a valid keyboard map.

Version-Release number of selected component (if applicable):
system-config-keyboard-1.2.11-1.fc7

How reproducible:
run it and select Bulgarian

Steps to Reproduce:
1. cat /etc/sysconfig/keyboard
2. run system-config-keyboard and select Bulgarian
3. cat /etc/sysconfig/keyboard
  
Actual results:
KEYBOARDTYPE="pc"
KEYTABLE="bg"

Expected results:
KEYBOARDTYPE="pc"
KEYTABLE="bg_bds-utf8"
or
KEYBOARDTYPE="pc"
KEYTABLE="bg_pho-utf8"

Additional info:
There are two layouts in use - BDS and Phonetic. These keyboard maps 
are /lib/kbd/keymaps/i386/qwerty/bg_bds-utf8.map.gz 
and /lib/kbd/keymaps/i386/qwerty/bg_pho-utf8.map.gz.

Comment 1 Doncho Gunchev 2007-05-01 17:12:05 UTC
Is 'Bulgarian (Phonetic)' and 'Bulgarian (BDS)' acceptable? If I can make a
patch will it help? In xorg.conf a new line with '"XkbVariant" ",phonetic"' is
also needed for the Bulgarian (Phonetic) layout.

Comment 2 Chris Lumens 2007-05-16 16:58:14 UTC
Please try the next rawhide tree that has rhpl-0.206-1 in it and let me know if
this works better for you then.

Comment 3 Doncho Gunchev 2007-05-19 11:03:31 UTC
stage2.img from 2007-May-18 19:41:09 - hashlib.py line 34 can't import
_sha256... waiting for the next image.

Comment 4 Doncho Gunchev 2007-05-19 11:53:17 UTC
In text and graphic (x11) mode with fully update F7t4 it works as expected
(/etc/sysconfig/keyboard and /etc/X11/xorg.conf).

'Bulgarian (Phonetic)' (Българска (Фонетична)) is not translated and shows up in
English in the GUI, which places it near the bottom of the list (why sort).
'Bulgarian' (Българска) is on the top. I can not translate this, the .po file is
not updated.

$ system-config-keyboard
Loading /lib/kbd/keymaps/i386/qwerty/bg_bds-utf8.map.gz
loadkeys: warning: this map uses Unicode symbols
    (perhaps you want to do `kbd_mode -u'?)

Both problems do not exist in text mode. 'Bulgarian (Phonetic)' is not
translated, but it is just below the Bulgarian (Българска) keyboard layout.

Comment 5 Doncho Gunchev 2007-05-19 11:58:33 UTC
Ops, a side effect. If I use the phonetic variant and run system-config-display
and select 'Bulgarian (Phonetic)' again my input is switched to 'Bulgarian'
(Bulgarian BDS). The configuration file for X11 is also a bit wrong - it is:

        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us,bg"
        Option      "XkbOptions" "grp:alt_shift_toggle,grp_led"
        Option      "XkbVariant" "phonetic"

while it should be:

        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us,bg"
        Option      "XkbOptions" "grp:alt_shift_toggle,grp_led"
        Option      "XkbVariant" ",phonetic"

The 'phonetic' option is not for 'us' and needs a comma infront.

Comment 6 Doncho Gunchev 2007-05-26 12:10:48 UTC
Created attachment 155497 [details]
Patch for keyboard_models.py for Bulgarian Phonetic Keyboard

This change fixes it for me...

Comment 7 Doncho Gunchev 2007-05-28 18:05:09 UTC
rhpl-0.208-1 is OK. Thank you!


Note You need to log in before you can comment on or make changes to this bug.